package com.inkasso.factoring.common.util;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * 电子签章常量类
 *
 * @author fengxuan
 * @email xuan.feng@changan-inkasso.com
 * @date 2021/7/5 15:35
 * 2022/8/17 大仙修改为读取配置文件
 */
@Component
public class ElectronicSignatureConstant {

    /**
     * 客户合同链接
     */
    @Value("${fdd.contractUrl}")
    public  String USER_CONTRACT_URL_YML;

    /**
     * 法大大长银资管公司客户编号
     */
    @Value("${fdd.caykCustomId}")
    public  String CUSTOMER_ID_YML;

    /**
     * 法大大永恒融资租赁有限公司客户编号
     */
    @Value("${fdd.yhrzzpCustomId}")
    public  String LEASE_CUSTOMER_ID_YML;

    /**
     * 账号注册URL
     */
    @Value("${fdd.registerUrl}")
    public  String REGISTER_ACCOUNT_URL_YML;

    /**
     * 认证地址URL
     */
    @Value("${fdd.authUrl}")
    public  String AUTH_URL_YML;

    /**
     * 认证地址URL
     */
    @Value("${fdd.authUrlV3}")
    public  String AUTH_URL_V3_YML;

    /**
     * 认证地址URL
     */
    @Value("${fdd.authUrlV3PersonalFaceRecognition}")
    public  String AUTH_URL_V3_FACE_RECOGNITION_YML;

    /**
     * 合同上传URL
     */
    @Value("${fdd.uploadContractUrl}")
    public  String UPLOAD_CONTRACT_URL_YML;

    /**
     * 批量签署URL
     */
    @Value("${fdd.batchSignUrl}")
    public  String SIGN_URL_YML;
    /**
     * 批量签署URL
     */
    @Value("${fdd.batchSignUrlSearchLocation}")
    public  String SEARCH_LOCATION_SIGN_URL_YML;

    /**
     * 自动签署URL
     */
    @Value("${fdd.authSignUrl}")
    public  String AUTO_SIGN_URL_YML;

    /**
     * 合同下载URL
     */
    @Value("${fdd.downloadContractUrl}")
    public  String DOWNLOAD_CONTRACT_URL_YML;

    /**
     * 合同归档URL
     */
    @Value("${fdd.filedContractUrl}")
    public  String FILED_CONTRACT_URL_YML;

    /**
     * 授权自动签URL
     */
    @Value("${fdd.beforeAutoSignUrl}")
    public  String BEFORE_AUTO_SIGN_URL_YML;

    /**
     * 生成短连接URL
     */
    @Value("${fdd.shortUrl}")
    public  String SHORT_URL_YML;


    /**
     * 电子文件签署线上出证URL
     */
    @Value("${fdd.reportUrl}")
    public  String COMPLIANCE_CONTRACT_REPORT_URL_YML;

    /**
     *  获取实名认证状态
     *
     */
    @Value("${fdd.authInfoUrl}")
    public  String AUTH_INFO_YML;

    /**
     *  获取实名认证状态
     *
     */
    @Value("${fdd.getAuthInfoDetail}")
    public  String AUTH_INFO_DETAIL_YML;

    /**
     * 获取签署状态
     */
    @Value("${fdd.signInfoUrl}")
    public String SIGN_INFO_YML;

    /**
     * 获取签署状态
     */
    @Value("${fdd.removeAuthInfoUrl}")
    public String REMOVE_AUTH_INFO_YML;



    /**
     * 客户合同链接
     */
    public static  String USER_CONTRACT_URL;

    /**
     * 法大大长银资管公司客户编号
     */
    public static String CUSTOMER_ID;

    /**
     * 法大大永恒融资租赁有限公司客户编号
     */
    public static String LEASE_CUSTOMER_ID;

    /**
     * 账号注册URL
     */
    public static  String REGISTER_ACCOUNT_URL;

    /**
     * 认证地址URL
     */
    public static String AUTH_URL;

    /**
     * 认证地址URL
     */
    public static String AUTH_URL_V3;

    /**
     * 认证地址URL
     */
    public static String AUTH_URL_V3_FACE_RECOGNITION;

    /**
     * 合同上传URL
     */
    public static  String UPLOAD_CONTRACT_URL;

    /**
     * 批量签署URL
     */
    public static  String SIGN_URL;

    /**
     * 批量签署URL
     */
    public static  String SEARCH_LOCATION_SIGN_URL;

    /**
     * 自动签署URL
     */
    public static  String AUTO_SIGN_URL;

    /**
     * 合同下载URL
     */
    public static String DOWNLOAD_CONTRACT_URL;

    /**
     * 合同归档URL
     */
    public static String FILED_CONTRACT_URL;

    /**
     * 授权自动签URL
     */
    public static String BEFORE_AUTO_SIGN_URL;

    /**
     * 生成短连接URL
     */
    public static String SHORT_URL;


    /**
     * 电子文件签署线上出证URL
     */
    public static String COMPLIANCE_CONTRACT_REPORT_URL;

    /**
     *  获取实名认证状态
     *
     */
    public static  String AUTH_INFO;

    /**
     *  获取实名认证信息
     *
     */
    public static  String AUTH_INFO_DETAIL;

    /**
     * 获取签署状态
     */
    public static String SIGN_INFO;

    /**
     * 获取签署状态
     */
    public static String REMOVE_AUTH_INFO;

    @PostConstruct
    public void initData(){
        USER_CONTRACT_URL = this.USER_CONTRACT_URL_YML;
        CUSTOMER_ID = this.CUSTOMER_ID_YML;
        LEASE_CUSTOMER_ID = this.LEASE_CUSTOMER_ID_YML;
        REGISTER_ACCOUNT_URL = this.REGISTER_ACCOUNT_URL_YML;
        AUTH_URL = this.AUTH_URL_YML;
        AUTH_URL_V3 = this.AUTH_URL_V3_YML;
        AUTH_URL_V3_FACE_RECOGNITION = this.AUTH_URL_V3_FACE_RECOGNITION_YML;
        UPLOAD_CONTRACT_URL = this.UPLOAD_CONTRACT_URL_YML;
        SIGN_URL = this.SIGN_URL_YML;
        SEARCH_LOCATION_SIGN_URL = this.SEARCH_LOCATION_SIGN_URL_YML;
        AUTO_SIGN_URL = this.AUTO_SIGN_URL_YML;
        DOWNLOAD_CONTRACT_URL = this.DOWNLOAD_CONTRACT_URL_YML;
        FILED_CONTRACT_URL = this.FILED_CONTRACT_URL_YML;
        BEFORE_AUTO_SIGN_URL = this.BEFORE_AUTO_SIGN_URL_YML;
        SHORT_URL = this.SHORT_URL_YML;
        COMPLIANCE_CONTRACT_REPORT_URL = this.COMPLIANCE_CONTRACT_REPORT_URL_YML;
        AUTH_INFO = this.AUTH_INFO_YML;
        AUTH_INFO_DETAIL = this.AUTH_INFO_DETAIL_YML;
        SIGN_INFO = this.SIGN_INFO_YML;
        REMOVE_AUTH_INFO = this.REMOVE_AUTH_INFO_YML;
    }

    public String getUSER_CONTRACT_URL_YML() {
        return USER_CONTRACT_URL_YML;
    }

    public void setUSER_CONTRACT_URL_YML(String USER_CONTRACT_URL_YML) {
        this.USER_CONTRACT_URL_YML = USER_CONTRACT_URL_YML;
    }

    public String getCUSTOMER_ID_YML() {
        return CUSTOMER_ID_YML;
    }

    public void setCUSTOMER_ID_YML(String CUSTOMER_ID_YML) {
        this.CUSTOMER_ID_YML = CUSTOMER_ID_YML;
    }

    public String getLEASE_CUSTOMER_ID_YML() {
        return LEASE_CUSTOMER_ID_YML;
    }

    public void setLEASE_CUSTOMER_ID_YML(String LEASE_CUSTOMER_ID_YML) {
        this.LEASE_CUSTOMER_ID_YML = LEASE_CUSTOMER_ID_YML;
    }

    public String getREGISTER_ACCOUNT_URL_YML() {
        return REGISTER_ACCOUNT_URL_YML;
    }

    public void setREGISTER_ACCOUNT_URL_YML(String REGISTER_ACCOUNT_URL_YML) {
        this.REGISTER_ACCOUNT_URL_YML = REGISTER_ACCOUNT_URL_YML;
    }

    public String getAUTH_URL_YML() {
        return AUTH_URL_YML;
    }

    public void setAUTH_URL_YML(String AUTH_URL_YML) {
        this.AUTH_URL_YML = AUTH_URL_YML;
    }

    public String getUPLOAD_CONTRACT_URL_YML() {
        return UPLOAD_CONTRACT_URL_YML;
    }

    public void setUPLOAD_CONTRACT_URL_YML(String UPLOAD_CONTRACT_URL_YML) {
        this.UPLOAD_CONTRACT_URL_YML = UPLOAD_CONTRACT_URL_YML;
    }

    public String getSIGN_URL_YML() {
        return SIGN_URL_YML;
    }

    public void setSIGN_URL_YML(String SIGN_URL_YML) {
        this.SIGN_URL_YML = SIGN_URL_YML;
    }

    public String getAUTO_SIGN_URL_YML() {
        return AUTO_SIGN_URL_YML;
    }

    public void setAUTO_SIGN_URL_YML(String AUTO_SIGN_URL_YML) {
        this.AUTO_SIGN_URL_YML = AUTO_SIGN_URL_YML;
    }

    public String getDOWNLOAD_CONTRACT_URL_YML() {
        return DOWNLOAD_CONTRACT_URL_YML;
    }

    public void setDOWNLOAD_CONTRACT_URL_YML(String DOWNLOAD_CONTRACT_URL_YML) {
        this.DOWNLOAD_CONTRACT_URL_YML = DOWNLOAD_CONTRACT_URL_YML;
    }

    public String getFILED_CONTRACT_URL_YML() {
        return FILED_CONTRACT_URL_YML;
    }

    public void setFILED_CONTRACT_URL_YML(String FILED_CONTRACT_URL_YML) {
        this.FILED_CONTRACT_URL_YML = FILED_CONTRACT_URL_YML;
    }

    public String getBEFORE_AUTO_SIGN_URL_YML() {
        return BEFORE_AUTO_SIGN_URL_YML;
    }

    public void setBEFORE_AUTO_SIGN_URL_YML(String BEFORE_AUTO_SIGN_URL_YML) {
        this.BEFORE_AUTO_SIGN_URL_YML = BEFORE_AUTO_SIGN_URL_YML;
    }

    public String getSHORT_URL_YML() {
        return SHORT_URL_YML;
    }

    public void setSHORT_URL_YML(String SHORT_URL_YML) {
        this.SHORT_URL_YML = SHORT_URL_YML;
    }

    public String getCOMPLIANCE_CONTRACT_REPORT_URL_YML() {
        return COMPLIANCE_CONTRACT_REPORT_URL_YML;
    }

    public void setCOMPLIANCE_CONTRACT_REPORT_URL_YML(String COMPLIANCE_CONTRACT_REPORT_URL_YML) {
        this.COMPLIANCE_CONTRACT_REPORT_URL_YML = COMPLIANCE_CONTRACT_REPORT_URL_YML;
    }

    public String getAUTH_INFO_YML() {
        return AUTH_INFO_YML;
    }

    public void setAUTH_INFO_YML(String AUTH_INFO_YML) {
        this.AUTH_INFO_YML = AUTH_INFO_YML;
    }

    public String getSIGN_INFO_YML() {
        return SIGN_INFO_YML;
    }

    public void setSIGN_INFO_YML(String SIGN_INFO_YML) {
        this.SIGN_INFO_YML = SIGN_INFO_YML;
    }
}
